gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.FileIcon

Contents

- Exported types
- Methods
  - getFile
  - new
- Properties
  - file

Description

`FileIcon` specifies an icon by pointing to an image file to be used as icon.

Synopsis

- newtype FileIcon = FileIcon (ManagedPtr FileIcon)
- class GObject o => IsFileIcon o
- toFileIcon :: (MonadIO m, IsFileIcon o) => o -> m FileIcon
- noFileIcon :: Maybe FileIcon
- fileIconGetFile :: (HasCallStack, MonadIO m, IsFileIcon a) => a -> m File
- fileIconNew :: (HasCallStack, MonadIO m, IsFile a) => a -> m FileIcon
- constructFileIconFile :: (IsFileIcon o, IsFile a) => a -> IO (GValueConstruct o)
- getFileIconFile :: (MonadIO m, IsFileIcon o) => o -> m File

# Exported types

newtype FileIcon Source #

Memory-managed wrapper type.

Constructors

FileIcon (ManagedPtr FileIcon) |

Instances

GObject FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon Methods gobjectType :: FileIcon -> IO GType Source #
IsObject FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon
IsIcon FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon
IsLoadableIcon FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon
IsFileIcon FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon

class GObject o => IsFileIcon o Source #

Type class for types which can be safely cast to `FileIcon`, for instance with `toFileIcon`.

Instances

(GObject a, (UnknownAncestorError FileIcon a :: Constraint)) => IsFileIcon a Source # |
Instance details Defined in GI.Gio.Objects.FileIcon
IsFileIcon FileIcon Source # |
Instance details Defined in GI.Gio.Objects.FileIcon

toFileIcon :: (MonadIO m, IsFileIcon o) => o -> m FileIcon Source #

Cast to `FileIcon`, for types for which this is known to be safe. For general casts, use `castTo`.

noFileIcon :: Maybe FileIcon Source #

A convenience alias for `Nothing` :: `Maybe` `FileIcon`.

# Methods

## getFile

fileIconGetFile Source #

Arguments

:: (HasCallStack, MonadIO m, IsFileIcon a) |
=> a | `icon`: a `Icon`.
-> m File | Returns: a `File`, or `Nothing`.

Gets the `File` associated with the given `icon`.

## new

fileIconNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsFile a) |
=> a | `file`: a `File`.
-> m FileIcon | Returns: a `Icon` for the given `file`, or `Nothing` on error.

Creates a new icon for a file.

# Properties

## file

The file containing the icon.

constructFileIconFile :: (IsFileIcon o, IsFile a) => a -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`file`” property. This is rarely needed directly, but it is used by `new`.

getFileIconFile :: (MonadIO m, IsFileIcon o) => o -> m File Source #

Get the value of the “`file`” property. When overloading is enabled, this is equivalent to

    get fileIcon #file